'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = _react2.default.createClass({
  displayName: 'StringField',

  propTypes: {
    label: _react2.default.PropTypes.string.isRequired,
    value: _react2.default.PropTypes.string.isRequired,
    onChange: _react2.default.PropTypes.func.isRequired
  },

  getDefaultProps: function getDefaultProps() {
    return {
      value: ''
    };
  },

  getStyles: function getStyles() {
    return {
      description: {
        marginTop: '-5px',
        color: '#777'
      }
    };
  },

  onChange: function onChange(e) {
    var value = e.target.value;

    this.props.onChange({
      target: {
        label: this.props.label,
        value: value
      }
    });
  },

  render: function render() {
    var attribute = this.props.attribute;
    var styles = this.getStyles();

    return _react2.default.createElement(
      'div',
      { className: 'form-group' },
      _react2.default.createElement(
        'label',
        { className: 'control-label' },
        attribute.displayName || this.props.label
      ),
      _react2.default.createElement(
        'p',
        { style: styles.description },
        attribute.description
      ),
      _react2.default.createElement('input', {
        type: 'text',
        className: 'form-control',
        value: this.props.value,
        placeholder: attribute.placeholder,
        onChange: this.onChange })
    );
  }
});
module.exports = exports['default'];